gtklp (1.3.1-1) unstable; urgency=medium

  * QA upload.
  * Fix ftbfs with GCC-10. (Closes: #957319)
  * Update Standards-Version to 4.5.0
  * Use debhelper-compat.
    - Update compat level to 13.
    - Remove use of autotools-dev.
    - Remove use of autoreconf.
  * Add recommend on sensible-utils.
  * Orphan the package. (See: #852205)
    - Remove obsolute vcs link.
  * Remove whitespace from d/changelog.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 03 Nov 2020 22:18:30 +0000

gtklp (1.3.1-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * Convert package to 3.0 (quilt) format
  * New upstream version 1.3.1
  * Update the patches to new upstream release
  * Update bugs/644113.diff patch to new release

 -- Ondřej Surý <ondrej@debian.org>  Wed, 31 Dec 2014 15:20:28 +0100

gtklp (1.2.7-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS with binutils-gold": add patch fix_FTBFS_binutils-gold.patch
    from Hideki Yamane.
    (Closes: #554752)

 -- gregor herrmann <gregoa@debian.org>  Mon, 13 Feb 2012 21:52:54 +0100

gtklp (1.2.7-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: gtklp.h:99:1: error: unknown type name 'ppd_file_t'":
    add patch from Ubuntu / Colin Watson:
    - bugs/639032.diff: Include <cups/ppd.h> for ppd_file_t
      (closes: #639032, LP: #831283).
  * Fix "FTBFS format not a string literal and no format arguments [-
    Werror=format-security]": add patch from Ubuntu / Daniel T Chen:
    - bugs/644113.diff: Fix format string literals and some unused variables.
      Resolves FTBFS. (Closes: #644113)

 -- gregor herrmann <gregoa@debian.org>  Mon, 21 Nov 2011 17:13:35 +0100

gtklp (1.2.7-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * There is an autopoint package now so build-depending on
    it and remove cvs (Closes: #572471).

 -- Nico Golde <nion@debian.org>  Sun, 25 Jul 2010 20:29:38 +0200

gtklp (1.2.7-2) unstable; urgency=low

  * Use TopGit and Quilt to manage patches
  * Re-add debian/patches, autogenerated from git branches
  * debian/rules: call autogen.sh after applying patches

 -- Zak B. Elep <zakame@zakame.net>  Fri, 28 Aug 2009 10:55:54 +0800

gtklp (1.2.7-1) unstable; urgency=low

  * New Upstream Version
    + No longer dumps core when unconfigured (Closes: #170025)
    + No errors displayed while running gtklpq (Closes: 370491)
  * Package now maintained in git, see http://code.zakame.net/gtklp.git
  * Remove debian/patches, now merged in git
  * debian/rules:
    + Remove simple-patchsys.mk
    + Rebuild Autotools at every package build, as documented
      in autotools-dev
  * debian/control: update policy version, add Vcs fields and
    necessary Build-Depends for Autotools rebuild
  * autogen.sh: use autopoint instead of gettextize
  * include/defaults.h: increase printer name maximum length
    (Closes: #422266)

 -- Zak B. Elep <zakame@zakame.net>  Tue, 25 Aug 2009 14:41:02 +0800

gtklp (1.2.6-1) unstable; urgency=low

  * New upstream release (Closes: #519834).
  * Acknowledge NMU by petere@, thanks
  * debian/control:
    + Update maintainer email
    + Update Standards-Version
    + Revert Section back to x11
    + Remove obsolete versioned dependency on libcupsys2-dev (now libcups2-dev)
    + Add ${misc:Depends}
  * debian/patches:
    + 15_configure.in_update: restructure configure.in and remove stuff
      we don't need (gtk+1.2, forte, old file-dialog build)
    + 20_update_autotools: regenerate after above patching
  * debian/menu:
    + Update menu sections

 -- Zak B. Elep <zakame@zakame.net>  Thu, 11 Dec 2008 16:22:59 +0800

gtklp (1.2.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Removed garbage files from 20_autotools_update.patch, to fix FTBFS if
    built twice in a row. (Closes: #442589)
  * Added Homepage control field.

 -- Peter Eisentraut <petere@debian.org>  Mon, 30 Jun 2008 10:57:38 +0200

gtklp (1.2.3-1) unstable; urgency=low

  * New upstream release
  * debian/patches:
    + Updated 20_autotools_update for automake1.10
  * debian/watch:
    + Updated so uscan now works.
  * debian/copyright:
    + Separate copyright and license statements, thanks to
      Nico Golde <nion@modprobe.de>

 -- Zak B. Elep <zakame@spunge.org>  Tue, 12 Jun 2007 15:12:58 +0000

gtklp (1.2.2-1) unstable; urgency=low

  * New upstream version.
  * debian/patches:
    + Remove 15_autotools_freetypefix.patch and 19_po_updates.patch,
      now merged in upstream.
    + Update 20_autotools_update.patch, some of it has been merged
      (notably ./intl)
  * debian/copyright:
    + Slightly touch, update source download location.

 -- Zak B. Elep <zakame@spunge.org>  Sat,  3 Jun 2006 20:36:46 +0800

gtklp (1.2.1-2) unstable; urgency=low

  * debian/control:
    + Change Section to `gnome'.
    + Bump Standards-Version.
    + Slightly touch the synopsis and long description.
  * debian/patches:
    + Refresh patches and include annotations.
    + Add 19_po_updates.patch , fixing Catalan (thanks to Lluis
      Vilanova) and updating English and French translations.
      (Closes: #367575)
    + Update 20_autotools_update.patch to also update gettext.  This
      seems to break the touch-fu in debian/rules, so a `touch -r
      m4/glibc2.m4 m4/gettext.m4` seems to be in order :/
  * debian/rules:
    + Ensure that PO's get recompiled upon next build by removing
      po/stamp-po on clean.
    + Call `$(MAKE) distclean' earlier  by appending to
      `cleanbuilddir/gtklp' target so we can avoid rerunning
      `configure' upon clean (which is due to the reversion of
      20_autotools_update.)
    + Improve the touch-fu so we don't accidentally get autotools
      rebuilt (or else we'll have a FTBFS.)  See note on
      20_autotools_update.patch above.
  * Remove Emacs local vars in this changelog.

 -- Zak B. Elep <zakame@spunge.org>  Mon, 22 May 2006 10:06:13 +0800

gtklp (1.2.1-1) unstable; urgency=low

  * New upstream release
  * debian/patches:
    - Rename and freshen patches.

 -- Zak B. Elep <zakame@spunge.org>  Sat,  4 Mar 2006 10:46:18 +0800

gtklp (1.2.0-1) unstable; urgency=low

  * New upstream release
  * debian/patches:
    - Added 15autotools_freetypefix.patch (sort out fixes)
    - Updated 20autotools_update.patch
  * debian/watch:
    - Fix sourceforge watch.
  * debian/rules:
    - Use touch-fu instead of patching autotools with AM_MAINTAINER_MODE
      to reduce diff size.

 -- Zak B. Elep <zakame@spunge.org>  Fri, 24 Feb 2006 10:21:48 +0800

gtklp (1.1.0-2) unstable; urgency=low

  * Move build system to CDBS + debhelper.
  * debian/patches:
    - Add 10debian_gtklpq_browser (fix from 1.0rel+1.0g-1).
    - Add 20autotools_update fixing libtool to not include unneeded
      freetype, et. al in build, see
      http://wiki.debian.org/FreetypeTransition
  * debian/control:
    - Rewrite description as per
      http://people.debian.org/~walters/descriptions.html, and push
      homepage link a bit as per developers-reference best practices ;)
  * debian/rules:
    - Remove extra ch{s,t} locales after install.

 -- Zak B. Elep <zakame@spunge.org>  Sat, 28 Jan 2006 14:34:38 +0800

gtklp (1.1.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Added gettext to Build-Depends in response to possible missing B-D
      warnings from the buildds.
  * debian/changelog:
    - Update FSF address.

 -- Zak B. Elep <zakame@spunge.org>  Tue, 13 Dec 2005 15:12:10 +0800

gtklp (1.0rel+1.0g-1) unstable; urgency=low

  * New upstream release
  * Debian release now maintained in GNU Arch repository at
    http://zakame.spunge.org/arch/debian-2005/
  * Updated autotools toolchain and config.{guess,sub} files in latest
    autotools-dev (20050803.1)
  * Add DEF_GTKLPQ_CMD in include/defaults.h and point GTKLPQCOM to it in
    gtklp/gtklp_functions.c (Closes: #271640)
  * Use `sensible-browser' instead of `netscape' in include/defaults.h
    (Closes: #319347)
  * Now using a completely new build system with Manoj Srivastava's
    debian-dir and skeleton-make-rules instead of debhelper

 -- Zak B. Elep <zakame@spunge.org>  Wed, 31 Aug 2005 10:33:09 +0800

gtklp (1.0rel+1.0f-1) unstable; urgency=low

  * New upstream release
  * Fixes number-of-copies being ignored because of input from keyboard
    (Closes: #312755)
  * Upstream includes patch from Jens Seidel containing German PO file
    corrections (from gtklp-1.0e) (Closes: #314056)

 -- Zak B. Elep <zakame@spunge.org>  Sun, 19 Jun 2005 21:47:48 +0800

gtklp (1.0rel+1.0d-1) unstable; urgency=low

  * New upstream release
  * Edited debian/rules to remove config.{guess,sub}.* cruft and use files
    from /usr/share/misc/config.{guess,sub} (autotools-dev)
  * Added autotools-dev in Build-Depends in debian/control

 -- Zak B. Elep <zakame@spunge.org>  Sat, 11 Jun 2005 17:05:05 +0800

gtklp (1.0rel-1) unstable; urgency=low

  * New upstream release
  * Fixed debian/watch, now works

 -- Zak B. Elep <zakame@spunge.org>  Tue,  7 Dec 2004 15:23:27 +0800

gtklp (1.0pre3-2) unstable; urgency=low

  * Using the new GTK 2.4 file selector (thanks to patch by Jeramy Rutley ;)

 -- Zak B. Elep <zakame@spunge.org>  Tue,  7 Dec 2004 13:55:35 +0800

gtklp (1.0pre3-1) unstable; urgency=low

  * New upstream release
  * Fixed debian/menu typo (s/Toos/Tools/) (Closes: #277689)
  * Changed debian/rules to include dh_installmenu as per #277689
  * Fixed missing *.mo on gettext install (due to stale po/stamp-po)
  * More dh_* comment-outs on debian/rules (link,installexamples)

 -- Zak B. Elep <zakame@spunge.org>  Sat, 23 Oct 2004 10:38:19 +0800

gtklp (1.0pre2-1) unstable; urgency=low

  * New upstream release
  * Changed README.Debian to notify users upgrading from 0.9n of the "GtkLPQ
    Command" in gtklp.

 -- Zak B. Elep <zakame@spunge.org>  Sun, 19 Sep 2004 11:47:14 +0800

gtklp (1.0pre1-1) unstable; urgency=low

  * New upstream release
  * Finally got upstream to fix the copyright issues. Now the copyright file
    can be properly filed :). Modified debian/copyright to reflect this
    (Thanks Andreas! ;)
  * Removed debian/watch as it doesn't work (Need to resolve this in the near
    future, though :( learn uscan...

 -- Zak B. Elep <zakame@spunge.org>  Sun, 29 Aug 2004 22:14:31 +0800

gtklp (0.9u-1) unstable; urgency=low

  * New upstream release

 -- Zak B. Elep <zakame@spunge.org>  Tue, 24 Aug 2004 08:59:13 +0800

gtklp (0.9s-2) unstable; urgency=low

  * Removed ChangeLog as it doubled changelog.gz
  * Changed debian/copyright to reflect change in package maintainer

 -- Zak B. Elep <zakame@spunge.org>  Mon, 14 Jun 2004 16:43:24 +0800

gtklp (0.9s-1) unstable; urgency=low

  * New upstream version, merged patches in 0.9p-1 to upstream source:
    - "Look" check boxes now work properly (Closes: #153779)
    - (Some) typos in the man page have been corrected (Closes: #170642)
    - Spanish translation of "even" and "odd" are now correct (Closes:
      #226839)
  * GTK2 is now the default, fixed debian/control and description
  * Fixed debian/rules to deal with leftover .gmo's
  * Fixed debian/copyright, but source should also be changed to conform with
    GPL licensing rules (i.e., putting the license declaration _inside_ the
    source, it's not enough to just include the COPYING file ;)
  * Rebuilt gtklp against libcupsys2-gnutls10 (Closes: #249494)
  * Upstream says the following bugs have been fixed since 0.9p:
    - Printer instances ought to be supported (Closes: #218608)
    - Now doesn't dump core when no printers are available (Closes: #170025)
    - Should now save page option on being told to do so (Closes: #174518)
    - Printing on localhost should now recognize printer settings (Closes:
      #177478)

 -- Zak B. Elep <zakame@spunge.org>  Thu, 27 May 2004 14:05:34 +0800

gtklp (0.9p-1) unstable; urgency=low

  * New maintainer (Closes: #244199, #245619)
  * New upstream version (Closes: #209172, #194459)
  * Fixed typo in man page (#170642), patch forwarded to upstream
  * Fixed translation bug (#226839), patch forwarded to upstream
  * Man page fixes (Closes: #100435)
  * English is the default language (Closes: #85962)
  * Rebuilt debian directory to reflect new Standards-Version (was 3.2.1)
  * Build-Dependencies already complete (Closes: #84581, #89878, #90528,
    #123676)
  * Added Kalle Olavi Niemitalo's GTK+ signals patch (Closes: #153799)
  * (Re)added Guido Guenther's patch for gtklpq button in gtklp (Closes:
    #157399)
  * Removed gnutls and debmake `artifact' dependencies upon suggestion
    by Andreas Metzler <ametzler@debian.org> (Closes: #219555)

 -- Zak B. Elep <zakame@spunge.org>  Sun, 25 Apr 2004 13:30:01 +0800

gtklp (0.9n-1) unstable; urgency=low

  * New upstream version closes: Bug#172417
  * closes: Bug#124709, Bug#136780, Bug#156795
  * closes: Bug#162312
  * moved man-page from /usr/man to /usr/share/man (closes: #164640)
  * added libgnutls(5)-dev to build dependencies
  * removed /usr/X11R6/bin from dirs as not used

 -- Matthias Kabel <mkabel@debian.org>  Fri, 20 Jun 2002 22:34:13 +0200

gtklp (0.9m-2) unstable; urgency=low

  * New upstream version closes: Bug#162312

 -- Matthias Kabel <mkabel@debian.org>  Thu, 25 Sep 2002 21:11:28 +0200

gtklp (0.9m-1) unstable; urgency=low

  * New upstream version closes: Bug#162312

 -- Matthias Kabel <mkabel@debian.org>  Thu, 25 Sep 2002 21:11:28 +0200

gtklp (0.9k-3) unstable; urgency=low

  * Additional Button to start gtklp Thanks to Guido Guenther closes Bug#157399

 -- Matthias Kabel <mkabel@debian.org>  Thu, 26 Aug 2002 22:34:55 +0200

gtklp (0.9k-2) unstable; urgency=low

  * Corrected the menu, closes: Bug#156795

 -- Matthias Kabel <mkabel@debian.org>  Thu, 15 Aug 2002 19:28:39 +0200

gtklp (0.9k-1) unstable; urgency=low

  * New upstream version

 -- Matthias Kabel <mkabel@debian.org>  Fri, 26 Jul 2002 21:55:18 +0200


gtklp (0.9f-1) unstable; urgency=low

  * New upstream version

 -- Matthias Kabel <mkabel@debian.org>  Sun, 14 Apr 2002 19:36:44 +0200

gtklp (0.9-1) unstable; urgency=low

  * New upstream version

 -- Matthias Kabel <mkabel@debian.org>  Tue,  5 Mar 2002 22:55:23 +0200

gtklp (0.8h-2) unstable; urgency=low

  * Fixed a Bug in postinst  closes: Bug##136910

 -- Matthias Kabel <mkabel@debian.org>  Tue,  5 Mar 2002 22:28:12 +0200

gtklp (0.8h-1) unstable; urgency=low

  * New upstream version
    Support for password-protected printers

  closes: Bug#123676

 -- Matthias Kabel <mkabel@debian.org>  Wed,  12 Dec 2001 23:57:42 +0200


gtklp (0.8-1) unstable; urgency=low

  * New upstream version

  * gtklpq new in upstream

 -- Matthias Kabel <matthias@tyche.de>  Sun,  16 Sep 2001 21:25:31 +0200

gtklp (0.6g-3) unstable; urgency=low


  * added the documentation from the homepage

  * improved the man-page

  closes: Bug#100434

 -- Matthias Kabel <mkabel@debian.org>  Wed, 17 Jul 2001 22:22:36 +0100

gtklp (0.6g-2) unstable; urgency=low


  * fixed the man page. closes: Bug#100435
    added debstd to the build-dependencies. closes: Bug#90528

  * new upstream version


 -- Matthias Kabel <mkabel@debian.org>  Sat, 21 April 2001 10:52:41 +0100
